/* déclarations */
long LedPinA = 9;
long LedPinB = 8;
long LedPinC = 11;
long LedPinD = 2;
long LedPinE = 3;
long LedPinF = 5;
long LedPinG = 4;
long LedPinDP = 10;

// on indique la pin du capteur d'inclinaison
int buttonPin = 7; 
// On vérifie l'état du capteur d'inclinaison
int buttonState;
// Variable pour le random de l'animation 
long ranim;
// Variable pour le random du résultat final
long ran;
// Il n'y a pas encore eu de lancement de dé
int last = 0;
// Temps que le dé reste affiché 1000 ms = 1 seconde
int time = 7000; 

void setup() {
  // put your setup code here, to run once:
  pinMode(LedPinA, OUTPUT);
  pinMode(LedPinB, OUTPUT);
  pinMode(LedPinC, OUTPUT);
  pinMode(LedPinD, OUTPUT);
  pinMode(LedPinE, OUTPUT);
  pinMode(LedPinF, OUTPUT);
  pinMode(LedPinG, OUTPUT);
  pinMode(LedPinDP, OUTPUT);
  pinMode (buttonPin, INPUT);

  randomSeed(analogRead(0)); // on initialise le fait de pouvoir lancer des randoms
}

void loop() {
  buttonState = digitalRead(buttonPin);
  if (buttonState == LOW){ // Si on bouge le dé
    
  for (int i=0; i <= 7; i++){ // Animation pour 8 affichages de dé avec 200 ms entre chaque
     
  ranim = random(1, 7); // on effectue un random pour chaque affichage
  
  while (ranim == last){ // On verifie que deux affichages consécutifs ne sont pas les mêmes 
    ranim = random(1, 7); // Sinon on random un autre chiffre
  }
  last = ranim; // On stock le chiffre pour éviter d'afficher les 2 mêmes valeurs de dé pendant l'animation
    if (ranim == 1){affiche_1();}
    if (ranim == 2){affiche_2();}
    if (ranim == 3){affiche_3();}
    if (ranim == 4){affiche_4();}
    if (ranim == 5){affiche_5();}
    if (ranim == 6){affiche_6();}
    delay(200); // Pause entre l'affichage de l'animation : 200ms led éteintes
   } 

    
// RANDOM DU RESULTAT FINAL
    affiche_000();
    delay(200);
    affiche_00A();
    delay(200);
    affiche_00B();
    delay(200);
    affiche_00C();
    delay(200);
    affiche_00D();
    delay(200);
    affiche_00E();
    delay(200);
    affiche_00F();
    delay(200);
    affiche_00A();
    delay(200);
    ran = random(1, 7);
    if (ran == 1){
      affiche_1();
      delay (time); // time étant la variable qui vaut 7000ms donc affichage du résultat pendant 7 secondes
    }
    if (ran == 2){
      affiche_2();
      delay (time);
    }
    if (ran == 3){
      affiche_3();
      delay (time);
    }
    if (ran == 4){
      affiche_4();
      delay (time);
    }
    if (ran == 5){
      affiche_5();
      delay (time);
   }
   if (ran == 6){
      affiche_6();
      delay (time);
   }
  
  // On éteint tout pour pouvoir relancer le dé
  
  }
  //if (buttonState == HIGH){
  affiche_000();
  //}
}

void affiche_0(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,HIGH);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,HIGH);
  };

  
void affiche_1(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_2(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,HIGH);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_3(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_4(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_5(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_6(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,HIGH);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_7(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_8(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,HIGH);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }
  
void affiche_9(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,HIGH);
  digitalWrite(LedPinDP,HIGH);
  }

void affiche_00A(){
  digitalWrite(LedPinA,HIGH);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }
  
void affiche_00B(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,HIGH);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }
  
void affiche_00C(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,HIGH);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }
  
void affiche_00D(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,HIGH);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }
  
void affiche_00E(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,HIGH);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }
  
void affiche_00F(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,HIGH);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }
  
void affiche_000(){
  digitalWrite(LedPinA,LOW);
  digitalWrite(LedPinB,LOW);
  digitalWrite(LedPinC,LOW);
  digitalWrite(LedPinD,LOW);
  digitalWrite(LedPinE,LOW);
  digitalWrite(LedPinF,LOW);
  digitalWrite(LedPinG,LOW);
  digitalWrite(LedPinDP,LOW);
  }

 


  

